import junit.framework.*;

public class FractionDoubleTest extends TestCase {
    private static final double eps = 1e-12;
    public void testZero() {
	Fraction a = new Fraction();
	assertEquals(0.0, a.getValue(), eps);
    }
    public void testPositive() {
	Fraction a = new Fraction(17, 2);
	assertEquals(8.5, a.getValue(), eps);
    }
    public void testNegative() {
	Fraction a = new Fraction(7, -8);
	assertEquals(-7.0/8.0, a.getValue(), eps);
    }
}
